Class | DateTime
In: | lib/active_support/core_ext/date_time.rb lib/active_support/json/encoders/date_time.rb
Parent: | Object

### Methods

to_json

### Included Modules

ActiveSupport::CoreExtensions::Time::Behavior ActiveSupport::CoreExtensions::Time::Zones ActiveSupport::CoreExtensions::DateTime::Calculations ActiveSupport::CoreExtensions::DateTime::Conversions

### Public Instance methods

to_json(options = nil)

Returns a JSON string representing the datetime. If ActiveSupport.use_standard_json_time_format is set to true, the ISO 8601 format is used.

#### Examples

      # With ActiveSupport.use_standard_json_time_format = true
      DateTime.civil(2005,2,1,15,15,10).to_json
      # => "2005-02-01T15:15:10+00:00"

      # With ActiveSupport.use_standard_json_time_format = false
      DateTime.civil(2005,2,1,15,15,10).to_json
      # => "2005/02/01 15:15:10 +0000"

[Validate]